## Apache Zeta Components Manual :: Docs For Class ezcTreeDataStore

### Tree::ezcTreeDataStore

### Interface ezcTreeDataStore

ezcTreeDataStore is an interface describing the methods that a tree data storage module should implement.

Source for this file: /Tree/src/interfaces/data_store.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcTreeXmlDataStore | ezcTreeXmlDataStore is an interface defining common methods for XML based data stores.
ezcTreeDbDataStore | ezcTreeDbDataStore is an interface defining methods for database based data stores.

### Method Summary

public void | `deleteDataForAllNodes( )` Deletes the data for all the nodes in the store.
public void | `deleteDataForNodes( $nodeList )` Deletes the data for all the nodes in the node list $nodeList.
public void | `fetchDataForNode( $node )` Retrieves the data for the node $node from the data store and assigns it to the node's 'data' property.
public void | `fetchDataForNodes( $nodeList )` Retrieves the data for all the nodes in the node list $nodeList and assigns this data to the nodes' 'data' properties.
public void | `storeDataForNode( $node )` Stores the data in the node to the data store.

### Methods

#### deleteDataForAllNodes

void deleteDataForAllNodes( )

Deletes the data for all the nodes in the store.

#### deleteDataForNodes

void deleteDataForNodes( ezcTreeNodeList $nodeList )

Deletes the data for all the nodes in the node list $nodeList.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$nodeList` | ezcTreeNodeList |

#### fetchDataForNode

void fetchDataForNode( ezcTreeNode $node )

Retrieves the data for the node $node from the data store and assigns it to the node's 'data' property.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcTreeNode |

#### fetchDataForNodes

void fetchDataForNodes( ezcTreeNodeList $nodeList )

Retrieves the data for all the nodes in the node list $nodeList and assigns this data to the nodes' 'data' properties.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$nodeList` | ezcTreeNodeList |

#### storeDataForNode

void storeDataForNode( ezcTreeNode $node )

Stores the data in the node to the data store.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcTreeNode |

Documentation generated by phpDocumentor 1.4.3